<!-------------------------------------------------------------------------------------------------
  - #%L                                                                                           -
  - chvote-pact                                                                                   -
  - %%                                                                                            -
  - Copyright (C) 2016 - 2018 République et Canton de Genève                                      -
  - %%                                                                                            -
  - This program is free software: you can redistribute it and/or modify                          -
  - it under the terms of the GNU Affero General Public License as published by                   -
  - the Free Software Foundation, either version 3 of the License, or                             -
  - (at your option) any later version.                                                           -
  -                                                                                               -
  - This program is distributed in the hope that it will be useful,                               -
  - but WITHOUT ANY WARRANTY; without even the implied warranty of                                -
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                  -
  - GNU General Public License for more details.                                                  -
  -                                                                                               -
  - You should have received a copy of the GNU Affero General Public License                      -
  - along with this program. If not, see <http://www.gnu.org/licenses/>.                          -
  - #L%                                                                                           -
  ------------------------------------------------------------------------------------------------->

<div [ngClass]="{'fake': action.fake}" [ngSwitch]="action.type">
  <span *ngSwitchCase="'DATE'">{{ action.value | date:'dd.MM.yyyy' }}</span>
  <span *ngSwitchCase="'DATETIME'">{{ action.value | date:'dd.MM.yyyy HH:mm' }}</span>
  <span *ngSwitchCase="'TRANSLATION_LABEL'">{{ action.value | translate }}</span>
  <button *ngSwitchCase="'DETAILS_LINK'"
          (click)="viewDetails(action.value)"
          mat-icon-button>
    <mat-icon class="mat-24" color="primary">more_horiz</mat-icon>
  </button>
  <span *ngSwitchDefault>{{ action.value }}</span>
</div>
